import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Space here. SpaceInvaders type game with a prairie dog avoiding crows and owls
 * Crows come in from the beginning and drop eggs. 
 * Owls come in at Score = 50 and drop red skulls.
 * One shot kills a crow, It takes four shots to kill an owl which changes to damaged after hit once.
 * 
 * @hdb (your name) 
 * @V01_Jan2016 (a version number or a date)
 */
public class Space extends World
{

    private GreenfootSound backgroundMusic = new GreenfootSound("background.wav");
    /**
     * Constructor for objects of class Space.
     * 
     */
    public Space()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        prepare();
        backgroundMusic.setVolume(60);
    }
    public void started()
    {
       backgroundMusic.playLoop(); 
    }
    public void stopped()
    {
       backgroundMusic.pause(); 
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        Player player = new Player();
        addObject(player,315,371);
        player.setLocation(315,365);
        myScoreboard = new Counter();
        addObject(myScoreboard,50,375);
    }

private boolean isBoss = false; //create a boss

    public void act()
    {
        // spawn enemies
        if (Greenfoot.getRandomNumber(1000) < 15 && isBoss == false)
        {
        addObject(new Enemy(), 21, 50);
    }
            
        // spawn enemies
        int currentScore = myScoreboard.getScore();
        
        if (Greenfoot.getRandomNumber(1000) < 15 && currentScore > 50 && isBoss == false)
        
        {
        addObject(new Enemy02(), 200, 35);
    }
     
    if ( currentScore > 100 && isBoss == false)
        
        {
        addObject(new Boss(), 50, 50);
        isBoss = true;
    }
    }
    
    private Counter myScoreboard;
    
    public Counter getCounter()
   {
      return myScoreboard;  
    }
}
